Vagrant.configure("2") do |config|
    config.vm.define "saltstacktest" do |opensuse|
        opensuse.vm.box = "bento/opensuse-leap-42.3"
        opensuse.vm.synced_folder "srv/pillar", "/srv/pillar", type: "rsync", owner: "root", group: "root"
        opensuse.vm.synced_folder "srv/salt", "/srv/salt", type: "rsync", owner: "root", group: "root"
        opensuse.vm.host_name = "saltstacktest"
        opensuse.vm.network "forwarded_port", guest: 80, host: 8080
        opensuse.vm.provision :salt do |salt|
            salt.masterless = true
            salt.minion_config = "salt/minion"
        end
    end
end
